Last Comment Bug 835212 - Add additional comment on parent bug listing the bug ids and summaries for child bug reports
: Add additional comment on parent bug listing the bug ids and summaries for ch...
Status: RESOLVED FIXED
:
Product: bugzilla.mozilla.org
Classification: Other
Component: Extensions: MozProjectReview (show other bugs)
: Production
: x86_64 Linux
: -- normal (vote)
: ---
Assigned To: David Lawrence [:dkl]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-27 19:54 PST by David Lawrence [:dkl]
Modified: 2013-01-30 10:53 PST (History)
5 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch to add comment with dependent bug list in parent bug (v1) (2.96 KB, patch)
2013-01-27 20:02 PST, David Lawrence [:dkl]
glob: review+
Details | Diff | Splinter Review

Description David Lawrence [:dkl] 2013-01-27 19:54:03 PST
When a new project bug is created, sometimes dependent bugs are created based on the way the initial questions are answered. The top level parent bug will show the dependent bugs in the change history but the viewer may not know what the bugs are if they do not have permission to see them (ie. Legal, etc.) 

This bug is about adding a second comment that lists the dependent bugs created displaying the bug id and summary of each so the viewer can tell what each bug is. The linked bug id in the comment will still be filtered based on permissions.

dkl
Comment 1 David Lawrence [:dkl] 2013-01-27 20:02:46 PST
Created attachment 706938 [details] [diff] [review]
Patch to add comment with dependent bug list in parent bug (v1)
Comment 2 Byron Jones ‹:glob› [PTO until 2017-01-09] 2013-01-30 06:44:35 PST
Comment on attachment 706938 [details] [diff] [review]
Patch to add comment with dependent bug list in parent bug (v1)

r=glob
Comment 3 David Lawrence [:dkl] 2013-01-30 10:53:02 PST
Committing to: bzr+ssh://dlawrence%40mozilla.com@bzr.mozilla.org/bmo/4.0             
modified extensions/MozProjectReview/Extension.pm
Committed revision 8459.

Committing to: bzr+ssh://dlawrence%40mozilla.com@bzr.mozilla.org/bmo/4.2             
modified extensions/MozProjectReview/Extension.pm
Committed revision 8526.

Note You need to log in before you can comment on or make changes to this bug.